﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using System.Collections.Generic;
using System.Globalization;
using System.Web;

namespace SEOSitemap
{
    [Serializable]
    public class UrlItem
    {
        private string _loc;
        private string _priority;
        private string _lastmod;

        [XmlElement("loc")]
        public string Loc
        {
            get { return _loc; }
            set { _loc = HttpUtility.UrlPathEncode(value); }
        }
        
        [XmlElement("lastmod")]
        public string Lastmod
        {
            get { return _lastmod; }
            set { _lastmod = value; }
        }

        private ChangeFrequency _changeFreq;

        [XmlElement("changefreq")]
        public ChangeFrequency ChangeFreq
        {
            get { return _changeFreq; }
            set { _changeFreq = value; }
        }

        [XmlElement("priority")]
        public string Priority
        {
            get { return _priority; }
            set { _priority = value; }
        }
 
        [XmlIgnore]
        public DateTime LastmodParsed
        {
            get { return Convert.ToDateTime(_lastmod); }
            set { _lastmod = Helper.ToW3CDateTime(value); }
        }

    }
}
